Bug 1549630 - NGN upgrade should fail if it finds a badly placed local storage domain
Summary: NGN upgrade should fail if it finds a badly placed local storage domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-ng
Version: 4.2.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ovirt-4.2.2
: ---
Assignee: Ryan Barry
QA Contact: Huijuan Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1554751
TreeView+ depends on / blocked
 
Reported: 2018-02-27 14:16 UTC by Pavol Brilla
Modified: 2019-05-16 13:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, Red Hat Virtualization Host did not warn users if a local storage domain was placed on the same file system as / (root). As a result, local storage domains on the same file system as / were not migrated when the host was updated, leading to a potential loss of local virtual machines. In this release, the host now fails to upgrade if storage domains are located on the same file system as /, and a message appears instructing the user how to resolved the issue and local storage domains on / are no longer at risk.
Clone Of:
: 1554751 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:57:44 UTC
oVirt Team: Node
Target Upstream Version:
huzhao: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1524 0 None None None 2018-05-15 17:58:49 UTC
oVirt gerrit 88313 0 master MERGED image-update: fail upgrades if there is a local storage domain on / 2018-03-08 12:54:15 UTC
oVirt gerrit 88652 0 ovirt-4.2-pre MERGED image-update: fail upgrades if there is a local storage domain on / 2018-03-08 12:56:45 UTC
oVirt gerrit 88653 0 ovirt-4.2-snapshot MERGED image-update: fail upgrades if there is a local storage domain on / 2018-03-08 12:56:36 UTC
oVirt gerrit 88654 0 ovirt-4.2 MERGED image-update: fail upgrades if there is a local storage domain on / 2018-03-08 12:56:28 UTC
oVirt gerrit 88655 0 ovirt-4.1 MERGED image-update: fail upgrades if there is a local storage domain on / 2018-03-08 12:56:20 UTC
oVirt gerrit 88656 0 ovirt-4.1-pre MERGED image-update: fail upgrades if there is a local storage domain on / 2018-03-08 12:56:14 UTC
oVirt gerrit 88657 0 ovirt-4.1-snapshot MERGED image-update: fail upgrades if there is a local storage domain on / 2018-03-08 12:56:07 UTC

Description Pavol Brilla 2018-02-27 14:16:19 UTC
Description of problem:
When you try to upgrade NGN with local storage in not persistent path your VMS will disappear, customer should be warned before upgrade if needed.

Version-Release number of selected component (if applicable):
RHV 4.2 Beta2
Red Hat Virtualization Host 4.2.1 (el7.4)

How reproducible:
100%

Steps to Reproduce:
1. Have local storage on NGN host, not in persistent path
2. Update NGN host
3. VMs are gone

Actual results:
VMs are gone

Expected results:
Engine should not allow to add local storage to non-persistent path of NGN

Comment 2 Huijuan Zhao 2018-03-01 15:13:06 UTC
Virt QE reproduced this issue, but not exactly same as Comment 0.

Test version:
From: rhvh-4.2.1.1-0.20180115.0
To:   rhvh-4.2.1.2-0.20180205.0

Test steps:
1. Install rhvh-4.2.1.1-0.20180115.0, add host to rhvm-4.1 with local storage type
2. Create non-persistent path on host, 
   # mkdir /test/test
   # chmod 777 /test/test
3. Add above local storage(/test/test) to host in rhvm, and create vm1
4. Setup local repos on host, then upgrade host from rhvm side
5. After upgrade, check /test/test on host, and check the storage and vm1 status in rhvm

Actual results:
1. After step 5, there is no /test/test on host, but the storage in rhvm is still up with space N/A, vm1 is still there but can not be up.

Comment 4 Huijuan Zhao 2018-03-23 05:47:05 UTC
Test version:
From: rhvh-4.1-0.20171207.0
To:   rhvh-4.2-0.20180322.0

Test steps:
Same as comment 2

Test results:
After step 4, upgrade failed both from rhvm side and from rhvh side.

So this bug is fixed in rhvh-4.2-0.20180322.0, will change the status to verified.

Comment 6 Huijuan Zhao 2018-04-24 03:19:43 UTC
According to comment 4, change the status to VERIFIED.

Comment 9 errata-xmlrpc 2018-05-15 17:57:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1524

Comment 10 Franta Kust 2019-05-16 13:06:37 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.